Skip to main content
GET
/
cards
/
tokens
cURL
curl --request GET \
  --url 'https://api.equalsmoney.com/v2/cards/tokens?accountId={{accountId}}' \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.equalsmoney.com/v2/cards/tokens"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.equalsmoney.com/v2/cards/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 67,
  "rows": [
    {
      "token": "9d3dee7c-19df-4b71-bbb9-521bb04307bf",
      "deviceId": "b39f54264a3d",
      "cardId": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
      "cardName": "Expense card",
      "lastFour": "0056"
    }
  ]
}

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

personId
string<uuid>

The ID of the person to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a04"

tokenState
enum<string>

The state of the token

Available options:
REQUESTED,
REQUEST_DECLINED,
ACTIVE,
SUSPENDED,
TERMINATED
Example:

"ACTIVE"

List of comma-separated last four digits.

Example:

"1234,3453,2222"

tokenType
enum<string>

The type of wallet token.

Available options:
APPLE_PAY,
ANDROID_PAY,
SAMSUNG_PAY
Example:

"APPLE_PAY"

deviceType
enum<string>

The type of device into which the digital wallet token is provisioned.

Available options:
MOBILE_PHONE,
TABLET,
WATCH
Example:

"WATCH"

deviceId
string

The device ID associated with the digital wallet token for Apple Pay, Google Pay, or Samsung Pay.

Example:

"b39f54264a3d"

Response

200 - application/json

OK

count
integer
required

The total amount of records matching the querying when "limit" is ignored.

Example:

67

rows
object[]
required